from django.contrib.syndication.views import Feed

from thoughts.models import Thought


class MainFeed(Feed):
    title = "Thoughts"
    link = "/"

    @staticmethod
    def items():
        return Thought.objects.all().order_by("-posted")

    def item_title(self, item):
        return item.text

    def item_description(self, item):
        return item.extended_text

    def item_link(self, item):
        return "/?show=" + str(item.uuid)

    def item_pubdate(self, item):
        return item.posted
